# Uses of Annotation Interface
net.shibboleth.shared.annotation.constraint.Live

Packages that use Live
Package
Description
net.shibboleth.shared.collection
Additional implementations of, and helpers for working with, collections.
net.shibboleth.shared.httpclient
Classes for working with Apache HttpClient.
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.service
Shared service APIs.
net.shibboleth.shared.spring.factory
Spring factory beans.
net.shibboleth.shared.spring.servlet.impl
Spring-aware implementation classes related to Java Servlet and Filter behavior.
net.shibboleth.shared.spring.util
Supporting classes for using Spring.

## Uses of Live in net.shibboleth.shared.collection

Methods in net.shibboleth.shared.collection with annotations of type Live
Modifier and Type
Method
Description
`<T> List<T>`
ClassToInstanceMultiMap.`get(Class<T> type)`
Gets the instances mapped to the given type or an empty list.
`<T> List<T>`
LockableClassToInstanceMultiMap.`getWithLock(Class<T> type)`
Convenience method which executes the like-named method from superclass `ClassToInstanceMultiMap` under a read lock.
`Set<Class<?>>`
ClassToInstanceMultiMap.`keys()`
Gets the set of keys contained in this map.
`Set<Class<?>>`
LockableClassToInstanceMultiMap.`keysWithLock()`
Convenience method which executes the like-named method from superclass `ClassToInstanceMultiMap` under a read lock.
`Collection<? extends B>`
ClassToInstanceMultiMap.`values()`
The collection of values currently present in the map.
`Collection<? extends B>`
LockableClassToInstanceMultiMap.`valuesWithLock()`
Convenience method which executes the like-named method from superclass `ClassToInstanceMultiMap` under a read lock.
Method parameters in net.shibboleth.shared.collection with annotations of type Live
Modifier and Type
Method
Description
`private void`
ClassToInstanceMultiMap.`getSuperTypes(Class<?> clazz, Set<Class<?>> accumulator)`
Gets all of the superclasses and interfaces implemented by the given class.

## Uses of Live in net.shibboleth.shared.httpclient

Methods in net.shibboleth.shared.httpclient with annotations of type Live
Modifier and Type
Method
Description
`static List<HttpClientContextHandler>`
HttpClientSupport.`getDynamicContextHandlerList(org.apache.hc.client5.http.protocol.HttpClientContext context)`
Get the list of `HttpClientContextHandler` for the `HttpClientContext`.

## Uses of Live in net.shibboleth.shared.net

Methods in net.shibboleth.shared.net with annotations of type Live
Modifier and Type
Method
Description
`static List<Pair<String,String>>`
URISupport.`getRawQueryStringParameters(String queryString, String paramName)`
Get all raw (i.e.RFC-3968 encoded) query string components with the specified parameter name.
`static List<Pair<String,String>>`
URISupport.`parseQueryString(String queryString)`
Parses a RFC-3968 encoded query string in to a set of name/value pairs.
`static List<Pair<String,String>>`
URISupport.`parseQueryString(String queryString, boolean decodeName, boolean decodeValue)`
Same as `URISupport.parseQueryString(String, boolean, boolean, Charset)` with the final parameter set to `StandardCharsets.UTF_8`.
`static List<Pair<String,String>>`
URISupport.`parseQueryString(String queryString, boolean decodeName, boolean decodeValue, Charset charset)`
Parses a RFC-3968 encoded query string in to a set of name/value pairs.

## Uses of Live in net.shibboleth.shared.service

Methods in net.shibboleth.shared.service with annotations of type Live
Modifier and Type
Method
Description
`protected Map<String,com.codahale.metrics.Metric>`
ReloadableServiceGaugeSet.`getMetricMap()`
Get the underlying map of metrics.

## Uses of Live in net.shibboleth.shared.spring.factory

Methods in net.shibboleth.shared.spring.factory with annotations of type Live
Modifier and Type
Method
Description
`protected List<Object>`
CombiningListFactoryBean.`createInstance()`

## Uses of Live in net.shibboleth.shared.spring.servlet.impl

Methods in net.shibboleth.shared.spring.servlet.impl with annotations of type Live
Modifier and Type
Method
Description
`protected Map<String,Cookie>`
CookieBufferingFilter.CookieBufferingHttpServletResponseProxy.`getCookies()`
Get the map of cookies that will be set.

## Uses of Live in net.shibboleth.shared.spring.util

Methods in net.shibboleth.shared.spring.util with annotations of type Live
Modifier and Type
Method
Description
`static ManagedList<BeanDefinition>`
SpringSupport.`parseCustomElements(Collection<Element> elements, ParserContext parserContext, BeanDefinitionBuilder parentBuilder)`
Parse list of elements into bean definitions.